# BuildRoadStationWindow Struct Reference

Inheritance diagram for BuildRoadStationWindow:

## Public Member Functions
| BuildRoadStationWindow (const WindowDesc *desc, Window *parent, RoadStopType rs)
virtual void | OnPaint ()
| The window must be repainted.
virtual void | DrawWidget (const Rect &r, int widget) const
| Draw the contents of a nested widget.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.
virtual void | OnTick ()
| Called once per (game) tick.

## Detailed Description

Definition at line 872 of file road_gui.cpp.

## Member Function Documentation

virtual void BuildRoadStationWindow::DrawWidget | ( | const Rect & | r,
|  | int | widget |
| ) |  |  | const`[inline, virtual]`

Draw the contents of a nested widget.

Parameters:

  | r | Rectangle occupied by the widget.
  | widget | Number of the widget to draw.

Note:
  This method may not change any state, it may only use drawing functions.

Reimplemented from Window.

Definition at line 929 of file road_gui.cpp.

References INVALID_RAILTYPE, IsInsideMM(), ROADTYPE_ROAD, TILE_PIXELS, and Window::window_class.

virtual void BuildRoadStationWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 937 of file road_gui.cpp.

References _settings_client, DeleteWindowById(), ClientSettings::gui, Window::LowerWidget(), Window::RaiseWidget(), Window::SetDirty(), and GUISettings::station_show_coverage.

virtual void BuildRoadStationWindow::OnPaint | ( |  | ) | `[inline, virtual]`

The window must be repainted.

Note:
  This method should not change any state, it should only use drawing functions.

Reimplemented from Window.

Definition at line 904 of file road_gui.cpp.

References _settings_client, _settings_game, CA_TRUCK, CA_UNMODIFIED, NWidgetBase::current_x, NWidgetBase::current_y, DrawStationCoverageAreaText(), Window::DrawWidgets(), ClientSettings::gui, StationSettings::modified_catchment, NWidgetBase::pos_x, NWidgetBase::pos_y, ResizeWindow(), SCT_NON_PASSENGERS_ONLY, SCT_PASSENGERS_ONLY, SetTileSelectSize(), NWidgetBase::smallest_y, GameSettings::station, GUISettings::station_show_coverage, Window::top, WD_FRAMERECT_LEFT, WD_FRAMERECT_RIGHT, WD_PAR_VSEP_NORMAL, and Window::window_class.

The documentation for this struct was generated from the following file:

- src/road_gui.cpp